/*
 *  obexftp/client.c: ObexFTP client library
 *
 *  Copyright (c) 2002 Christian W. Zuckschwerdt <zany@triq.net>
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *     
 */

#ifndef GLOBAL_H_
#define GLOBAL_H_

#include <bluetooth/bluetooth.h>
#include <bluetooth/hci.h>
#include <bluetooth/hci_lib.h>
#include <bluetooth/sdp.h>
#include <bluetooth/sdp_lib.h>

#include <openobex/obex.h>
#include <obexftp/client.h>


#define HEADER_CREATOR_ID  0xcf

int cancel;		/* Para cancelar manualmente las transferencias || To cancel manually the the transfers  */

obex_t * inicia_obex();
uint8_t* easy_readfile(const char *, int *);
int enviar (char [20], char *);
void espera_conexiones();
int safe_save_file(char *, const uint8_t *, int);
void obex_event(obex_t *, obex_object_t *, int, int, int, int);
int do_sync_request(obex_t *, obex_object_t *, int);
obex_object_t *build_object_from_file(obex_t *, const char *);
sdp_session_t* bt_sdp_session_open (uint8_t);
int bt_sdp_session_close (sdp_session_t*);
void put_done(obex_object_t *, obex_t *);
void server_request(obex_object_t *, obex_t *, int, int);
void server_done(obex_object_t *, int);
int get_filesize(const char *);
int wait_for_rsp(obex_t *);
int busca_disp();

#endif /*GLOBAL_H_*/
